Remove use of StartProfiler.php in wmf production
Closed, ResolvedPublic

Description

Deprecated per https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/420268/ / 5209adff6cf1.

Merge actual configuration portion to CommonSettings.php. Rest is redundant with autoprepend file.

Krinkle created this task.Aug 12 2018, 12:48 PM
Krinkle triaged this task as Normal priority.

Change 453062 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Remove use of deprecated StartProfiler.php file

https://gerrit.wikimedia.org/r/453062

Change 453063 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Remove StartProfiler.php (no longer used)

https://gerrit.wikimedia.org/r/453063

Change 453062 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove use of deprecated StartProfiler.php file

https://gerrit.wikimedia.org/r/453062

Mentioned in SAL (#wikimedia-releng) [2018-08-15T21:21:48Z] <Krinkle> krinkle@deployment-deploy01: Removing php-master/StartProfiler.php for T201782.

Mentioned in SAL (#wikimedia-operations) [2018-08-15T21:57:23Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.10: rm StartProfiler.php - T201782 (duration: 03m 01s)

Mentioned in SAL (#wikimedia-operations) [2018-08-15T22:11:54Z] <krinkle@deploy1001> Started scap: rm StartProfiler.php - T201782

Mentioned in SAL (#wikimedia-operations) [2018-08-15T22:43:40Z] <krinkle@deploy1001> Finished scap: rm StartProfiler.php - T201782 (duration: 31m 46s)

Change 453063 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove StartProfiler.php (no longer used)

https://gerrit.wikimedia.org/r/453063

Mentioned in SAL (#wikimedia-operations) [2018-08-17T00:42:09Z] <krinkle@deploy1001> Synchronized wmf-config/: rm StartProfiler.php / Ia83751695f35def / T201782 (duration: 00m 50s)

Krinkle closed this task as Resolved.Aug 17 2018, 3:24 AM
Krinkle removed a project: Patch-For-Review.

Change 453893 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Remove support for StartProfiler.php

https://gerrit.wikimedia.org/r/453893

Change 453893 merged by jenkins-bot:
[mediawiki/core@master] Remove support for StartProfiler.php

https://gerrit.wikimedia.org/r/453893